{
Copyright (c) 1988 BittWare Computing, ALL RIGHTS RESERVED 
}
unit pps_glob;
interface
uses
        menuvars,
        crt,
        dos;

const

{If regenerating Help File, the following Help Codes MUST change accordingly}
     InitHelpFilePath = '\tp4menu\';
     InitHelpFileName = 'tp4menu.hlp';

     InfoRec        = 0;
     MainHeader     = 1;
     DataEntryHelp  = 2;
     MenuNumHelp    = 3;
     FileMenuHelp   = 4;
     MaskListHelp   = 5;
     ChgVarHelp     = 6;
     InpVarsHelp    = 7;
     ExeMainHelp    = 8;
     ConfirmHelp    = 9;
     UserProc1Help  = 10;
     UserProc2Help  = 11;
     UserProc3Help  = 12;
     UserProc4Help  = 13;
     DataEntryHelp2 = 14;
     MainHeader2    = 15;

{Error Codes, max defined in MenuVars.pas, currently = 20}

{
These are already defined in MenuVars.pas
     InvalidInput        = 1;
     PathNotFound        = 2;
     FileNotFound        = 3;
     SeekPastHelp        = 4;
}
type
     VarStringType = PathString;
var
     HomeDir         :PathString;
     ts,ts2          :PathString;
     HelpFileName    :filestring;
     HelpFilePath    :PathString;
     StringVar      :VarStringType;
     MaskVar        :byte;
     RealVar1       :real;
     RealVar2       :real;
     IntVar         :integer;
     LongIntVar     :longint;
     BoolVar        :byte;
     MenuNum        :longint;
     FrChgVar       :byte;
     FgColorSel     :byte;
     BgColorSel     :byte;
     DirSearchMask  :FileString;
     DirSearchPath  :PathString;
     SpclNum        :longint;
     CommandMode    :boolean;
     User2Int       :integer;

        linestr         :linestrg;
        inputstring     :linestrg;
        flname          :filestring;
        ch              :char;
        i,j             :integer;
        keycode         :byte;
        tstr            :string[10];
        tx,ty           :longint;
        indx,i2         :integer;

        crt_mode       :byte;

        mvp     :InpStrPtr;
        tch     :char;
        tc      :string[1];
        tbyte   :byte;
        dbyte   :byte;
        menu1   :byte;
        menu2   :byte;
        menu3   :byte;
        menu4   :byte;
        menu5   :byte;
        menu6   :byte;
        li      :longint;
        OldTextAttr :byte;
        x       :integer;
        tfx    :integer;

procedure InitVars;

implementation

procedure InitVars;
begin

     HelpNum := MainHeader;
     HelpFileName    := InitHelpFileName;
     HelpFilePath    := InitHelpFilePath;

     ErrorNum := NoError;
     ErrorMessStr[InvalidInput]    := 'Invalid Input, Ignored';
     ErrorMessStr[PathNotFound]    := 'Path not Found, Ignored';
     ErrorMessStr[FileNotFound]    := 'File not found';
{
     ErrorMessStr[SeekPastHelp]    := 'An attempt was made to seek past the end of the Help File';
}

     StringVar      := 'BittWare';
     MaskVar        := 1;
     RealVar1       := -46.3;
     RealVar2       := 1.2e-4;
     IntVar         := 400;
     LongIntVar     := 94236;
     CommandMode    := False;
     BoolVar        := 2;
     FrChgVar       := 1;
     FgColorSel     := yellow;
     BgColorSel     := black;
     DirSearchMask  := '*.*';
     DirSearchPath  := '';
     FlName         := '';
     SpclNum        := 1000;
     MenuNum        := SpclNum;

     User2Int       := 79;
end;

end.


